Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.ax25
Class StationTracker.AddressStatistics<K,C extends StationTracker.AddressStatistics>

    java.lang.Object
      org.ka2ddo.yaac.ax25.StationTracker.AddressStatistics<K,C>

Type Parameters:
  `K` - data type of station identifier
  `C` - class name of subclass

Direct Known Subclasses:
  StationTracker.DestinationStatistics, StationTracker.DigipeatStatistics

Enclosing class:
  StationTracker

    public abstract static class StationTracker.AddressStatistics<K,C extends StationTracker.AddressStatistics>

extends java.lang.Object

This abstract class collects the occurrence counts for a particular type of station.

Field Summary
`boolean` | `enabled`
`int` | `numUsed`
`int` | `rowIndex`

Constructor Summary
`StationTracker.AddressStatistics()`

Method Summary
`abstract K` | `getKey()` Get the identifier for the statistics.
`C` | `getValue()` Get the statistics object itself.
`java.lang.String` | `toString()` Returns a string representation of the statistics object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### enabled

    public boolean enabled

### numUsed

    public int numUsed

### rowIndex

    public transient int rowIndex

Constructor Detail

### StationTracker.AddressStatistics

    public StationTracker.AddressStatistics()

Method Detail

### getKey

    public abstract K getKey()

  Get the identifier for the statistics.

  Returns:
    statistics identifier

### getValue

    public C getValue()

  Get the statistics object itself.

  Returns:
    the statistics object

### toString

    public java.lang.String toString()

  Returns a string representation of the statistics object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD